import Emitter from 'licia/Emitter';
import $ from 'licia/$';
interface IOptions {
    compName: string;
}
export interface IComponentOptions {
    theme?: string;
}
export default class Component<Options extends IComponentOptions = any> extends Emitter {
    c: (name: string) => string;
    container: HTMLElement;
    $container: $.$;
    private subComponents;
    private compName;
    protected options: Required<Options>;
    constructor(container: Element, { compName }: IOptions, { theme }?: IComponentOptions);
    destroy(): void;
    setOption(name: string | Options, val?: any): void;
    getOption(name: string): any;
    protected addSubComponent(component: Component): void;
    protected removeSubComponent(component: Component): void;
    protected destroySubComponents(): void;
    protected initOptions(options: Options, defs?: any): void;
    protected find(selector: string): $.$;
}
export {};
